<template>
  <div class="row-bg container">
    <el-row type="flex" justify="center">
      <h1 class="text-body">
        ĐƠN XIN TIẾP NHẬN TẠNG Ở NGƯỜI
      </h1>
    </el-row>
    <el-row type="flex" justify="center">
      <el-form ref="form" :rules="rules" :model="form" label-width="200px">
        <el-form-item prop="fullname" label="Họ tên người tiếp nhận">
          <el-input v-model="form.fullname" />
        </el-form-item>
        <el-form-item prop="idnumber" label="Chứng minh thư">
          <el-input v-model="form.idnumber" type="text" />
        </el-form-item>
        <el-form-item prop="gender" label="Giới tính">
          <el-radio-group v-model="form.gender">
            <el-radio label="Nam" />
            <el-radio label="Nữ" />
          </el-radio-group>
        </el-form-item>
        <el-form-item prop="birthday" label="Ngày sinh" class="text-white">
          <el-col :span="11">
            <el-date-picker v-model="form.birthday" type="date" placeholder="Pick a date" style="width: 100%;" />
          </el-col>
        </el-form-item>
        <el-form-item prop="phone" label="Số điện thoại">
          <el-input v-model="form.phone" type="text" />
        </el-form-item>
        <el-form-item prop="email" label="Email">
          <el-input v-model="form.email" type="email" />
        </el-form-item>
        <el-form-item prop="address" label="Địa chỉ">
          <el-input v-model="form.address" type="textarea" />
        </el-form-item>
        <el-form-item prop="organ" label="Mong muốn tiếp nhận">
          <el-checkbox-group v-model="form.organ">
            <el-col :span="8">
              <el-checkbox label="Giác mạc" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Thận" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Tụy" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Tim" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Gan" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Xương" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Phổi" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Gân" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Sụn" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Da" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Van tim" name="organ" />
            </el-col>
            <el-col :span="8">
              <el-checkbox label="Mạch máu" name="organ" />
            </el-col>
          </el-checkbox-group>
        </el-form-item>
        <el-form-item prop="share" label="Bạn có muốn chia sẻ thông tin của mình">
          <el-switch v-model="form.status" />
        </el-form-item>
        <el-form-item>
          <el-button type="primary" @click="submitForm('form')">
            Đăng ký
          </el-button>
          <el-button @click="resetForm('form')">
            Hủy
          </el-button>
        </el-form-item>
      </el-form>
    </el-row>
  </div>
</template>
<script>
import { registerReceiver } from '~/api/register-receive'

export default {
  data () {
    return {
      form: {
        fullname: '',
        idnumber: '',
        region: '',
        phone: '',
        email: '',
        birthday: '',
        status: false,
        organ: [],
        gender: 'Nam',
        address: '',
        blood: 'A'
      },
      rules: {
        fullname: [
          { required: true, message: 'Xin điền đầy đủ họ tên', trigger: 'blur' }
        ],
        idnumber: [
          { required: true, message: 'Xin điền số chứng minh thư/ Hộ chiếu', trigger: 'blur' }
        ],
        birthday: [
          { type: 'date', required: true, message: 'Xin hãy chọn một ngày ', trigger: 'change' }
        ],
        phone: [
          { required: true, message: 'Xin điền số điện thoại ', trigger: 'blur' }
        ],
        email: [
          { required: true, message: 'Xin điền địa chỉ email ', trigger: 'blur' }
        ],
        address: [
          { required: true, message: 'Xin điền địa chỉ của bạn ', trigger: 'blur' }
        ],
        organ: [
          { required: true, type: 'array', message: 'Xin hãy chọn mô/ bộ phận bạn cần ghép', trigger: 'change' }
        ]
      }
    }
  },
  methods: {
    submitForm (formName) {
      this.$refs[formName].validate(async (valid) => {
        if (valid) {
          try {
            await registerReceiver(this.form)
            this.$message.success('Cam on ban!')
          } catch (e) {
            return this.$message.error('Khong the gui form')
          }
        } else {
          this.$message.error('Khong the gui form')
        }
      })
    },
    resetForm (formName) {
      alert(this.$refs[formName])
      this.$refs[formName].resetFields()
    }
  }
}
</script>

<style lang="scss">
  .container {
    border-radius: 4px;
  }
  .el-row {
    margin-bottom: 20px;
    &:last-child {
      margin-bottom: 0;
    }
  }

  .el-form .el-form-item__label {
    font-size: 16px;
    color: #000000 !important;
  }

  .el-col {
    border-radius: 4px;
  }

  .bg-purple-dark {
    background: #99a9bf;
  }

  .bg-purple {
    background: #d3dce6;
  }

  .bg-purple-light {
    background: #e5e9f2;
  }

  .grid-content {
    border-radius: 4px;
    min-height: 36px;
  }

  .row-bg {
    padding: 10px 0;
    background-color: #f9fafc;
  }
</style>
